DATABASE-MANAGEMENT_MANAGED-MY-SQL-DATABASES_MANAGED-MY-SQL-DATABASE-COLLECTION(1)

NAME
database-management_managed-my-sql-databases_managed-my-sql-database-collection -

DESCRIPTION

A collection of Managed MySQL Database objects.

AVAILABLE COMMANDS

•   list-managed-my-sql-databases

  list-managed-my-sql-databases

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Gets the list of Managed MySQL Databases in a specific compartment.

  Usage

oci database-management managed-my-sql-databases managed-my-sql-database-collection list-managed-my-sql-databases [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the compartment.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of records returned in the paginated response.

--page [text]

    The page token representing the page from where the next set of paginated results are retrieved. This is usually retrieved from a previous list call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to sort information by. Only one sortOrder can be used. The default sort order for ‘TIMECREATED’ is descending and the default sort order for ‘NAME’ is ascending. The ‘NAME’ sort order is case-sensitive.

    Accepted values are:

    NAME, TIMECREATED

--sort-order [text]

    The option to sort information in ascending (‘ASC’) or descending (‘DESC’) order. Ascending order is the default order.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/managed-my-sql-databases/managed-my-sql-database-collection/list-managed-my-sql-databases.html#cmdoption-compartment-id
    oci database-management managed-my-sql-databases managed-my-sql-database-collection list-managed-my-sql-databases --compartment-id $compartment_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle